# IcePatch2::FileInfo

## Overview

### struct FileInfo

Basic information about a single file.

#### Used By

FileInfoSeq

## Data Member Index

path
  The pathname.
checksum
  The SHA-1 checksum of the file.
size
  The size of the compressed file in number of bytes.
executable
  The executable flag.

## Data Members

string path;

  The pathname.

::Ice::ByteSeq checksum;

  The SHA-1 checksum of the file.

int size;

  The size of the compressed file in number of bytes.

bool executable;

  The executable flag.